AliAnalysisTaskPtSpectra *AddTaskPtSpectra(UInt_t gFilterBit = 768){
  //Template AddTask macro
  AliAnalysisManager *mgr = AliAnalysisManager::GetAnalysisManager(); 
  
  TString fileName = AliAnalysisManager::GetCommonFileName();
  fileName+="_MyTask"; 
  
  AliAnalysisTaskPtSpectra *task = new AliAnalysisTaskPtSpectra("AliAnalysisTaskPtSpectra"); 
  task->SetFilterBit(gFilterBit);
  mgr->AddTask(task);
  

  TString outputFileName = AliAnalysisManager::GetCommonFileName();
  AliAnalysisDataContainer *cout = mgr->CreateContainer("list", TList::Class(),
							AliAnalysisManager::kOutputContainer,outputFileName.Data());

  mgr->ConnectInput(task, 0, mgr->GetCommonInputContainer());
  mgr->ConnectOutput(task, 1, cout);
  
  return task;
}
